Start a test run
curl --request POST \
--url https://api.getdecipher.com/api/v1/tests/{testId}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getdecipher.com/api/v1/tests/{testId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getdecipher.com/api/v1/tests/{testId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "testRun",
"id": 12345,
"testId": 456,
"testUrl": "https://app.getdecipher.com/tests/456",
"runUrl": "https://app.getdecipher.com/tests/456/runs/12345",
"status": "queued",
"startedAt": "2026-02-16T05:00:00.000Z"
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
}Testing
Start a test run
Trigger a new run for a specific test. Returns immediately with a queued run object. Poll GET /test-runs/{runId} until the status becomes passed or failed.
The test must have completed validation to be executed.
POST
/
api
/
v1
/
tests
/
{testId}
/
runs
Start a test run
Authorizations
API key authentication. Use your Decipher API key as the bearer token.
Path Parameters
The ID of the test to run
Example:
"456"
Response
Run created and queued for execution
Available options:
testRun Example:
12345
Example:
456
Decipher dashboard link for the test
Example:
"https://app.getdecipher.com/tests/456"
Decipher dashboard link for this run
Example:
"https://app.getdecipher.com/tests/456/runs/12345"
The run is queued for execution. Poll GET /test-runs/:runId until status becomes passed or failed.
Available options:
queued ISO timestamp when the run was created
Example:
"2026-02-16T05:00:00.000Z"